> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akumi.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# List conversation threads

> Lists conversation threads in the acting key's workspace.



## OpenAPI

````yaml /api-reference/openapi.json get /recall/threads
openapi: 3.1.0
info:
  title: Akumi
  version: 0.0.1
servers:
  - url: https://api.akumi.eu/v1
    description: Production
security:
  - http: []
tags:
  - name: Audit log
  - name: Chat completions
  - name: Embeddings
  - name: Models
  - name: Recall
  - name: Scores
paths:
  /recall/threads:
    get:
      tags:
        - Recall
      summary: List conversation threads
      description: Lists conversation threads in the acting key's workspace.
      operationId: v1.recall.threads.index
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ThreadViewModel'
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - data
                  - next_cursor
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    ThreadViewModel:
      type: object
      additionalProperties: {}
      title: ThreadViewModel
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````